petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerBinarySkipInfo

Binary file will not have .info file created with it

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySkipInfo(PetscViewer viewer)

Not Collective

### Input Paramter

viewer -PetscViewer context, obtained from PetscViewerCreate()

### Options Database Key

-viewer_binary_skip_info -

### Notes

This must be called after PetscViewerSetType(). If you use PetscViewerBinaryOpen() then you can only skip the info file with the -viewer_binary_skip_info flag. To use the function you must open the viewer with PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinarySkipInfo().

The .info contains meta information about the data in the binary file, for example the block size if it was set for a vector or matrix.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySetSkipOptions(),
PetscViewerBinaryGetSkipOptions(), PetscViewerBinaryGetSkipInfo()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages